# Tarfile created using git
# git clone git://git.moblin.org/hornsey
# git archive --format=tar --prefix=%{name}-%{version}/ %{git_version} | bzip2 > ~/%{name}-%{version}-%{gitdate}.tar.bz2
%define gitdate 20100105
%define git_version 5212b01
%define tarfile %{name}-%{version}-%{gitdate}.tar.bz2

Name:           hornsey
Version:        1.5.2
Release:        0.3%{?dist}
Summary:        The moblin media player

Group:          Applications/Multimedia
License:        LGPLv2
URL:            http://www.moblin.org/
# Source0:       http://git.moblin.org/cgit.cgi/%{name}/snapshot/%{name}-%{version}.tar.bz2
Source0:       %{tarfile}
Patch0:         hornsey-fixcluttergst.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires: bickley-devel
BuildRequires: bognor-regis-devel
BuildRequires: clutter-gtk-devel
BuildRequires: clutter-gst-devel
BuildRequires: clutter-imcontext-devel
BuildRequires: libnotify-devel
BuildRequires: libXtst-devel
BuildRequires: nbtk-devel
BuildRequires: startup-notification-devel
BuildRequires: unique-devel
BuildRequires: desktop-file-utils
BuildRequires: intltool
BuildRequires: gettext

# Require these because the git tarball doesn't have the configure built
BuildRequires: libtool
BuildRequires: gnome-common

Requires: bickley

%description
Hornsey is a Image, Audio and Video media browser and player for Moblin.

%prep
%setup -q
%patch0 -p1 -b fixcluttergst

# Remove execute bit from the source files
chmod -x src/hrn-texture-cache.*

# Don't run configure from autogen.sh
NOCONFIGURE=yes ./autogen.sh

%build
%configure --disable-static
make %{?_smp_mflags} V=1

%install
rm -rf %{buildroot}
make install DESTDIR=%{buildroot} INSTALL='install -p'

desktop-file-validate %{buildroot}/%{_datadir}/applications/%{name}.desktop

%find_lang %{name}

%clean
rm -rf %{buildroot}

%post
touch --no-create %{_datadir}/icons/hicolor &>/dev/null || :
update-desktop-database &> /dev/null || :

%postun
if [ $1 -eq 0 ] ; then
    touch --no-create %{_datadir}/icons/hicolor &>/dev/null
    gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :
fi
update-desktop-database &> /dev/null || :

%posttrans
gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :

%files  -f %{name}.lang
%defattr(-,root,root,-)
%doc COPYING README AUTHORS
%{_bindir}/hornsey
%{_datadir}/%{name}
%{_datadir}/icons/hicolor/64x64/apps/hornsey.png
%{_datadir}/applications/hornsey.desktop
%{_datadir}/dbus-1/services/org.moblin.Hornsey.service

%changelog
* Fri Aug 20 2010 Adam Tkac <atkac redhat com> 1.5.2-0.3
- rebuild to ensure F14 has higher NVR than F13

* Sun Apr 18 2010 Peter Robinson <pbrobinson@gmail.com> 1.5.2-0.1
- Move to a git snapshot of 1.5.2

* Fri Nov 13 2009 Peter Robinson <pbrobinson@gmail.com> 1.5.1-1
- New upstream 1.5.1 release.

* Thu Sep 24 2009 Peter Robinson <pbrobinson@gmail.com> 0.5-1
- New upstream 0.5 release.

* Sun Sep 19 2009 Peter Robinson <pbrobinson@gmail.com> 0.4-1
- New upstream 0.4 release.

* Tue Aug 18 2009 Peter Robinson <pbrobinson@gmail.com> 0.3-2
- Updates from package review, add patch for bognor-regis 0.4.10

* Tue Aug 18 2009 Peter Robinson <pbrobinson@gmail.com> 0.3-1
- New upstream 0.3 release. Updates to spec

* Tue Jul 28 2009 Peter Robinson <pbrobinson@gmail.com> 0.2-1
- Initial packaging
